Move the Categories item to the top of the Page options menu because it's used more
Closed, ResolvedPublic1 Story Points

Description

Wikipedia editors use "Categories" more than other items in the Page options menu, so put it first in the menu.

Details

Reference
bz72399
bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz72399.

(In reply to WhatamIdoing from comment #0)

Two suggestions:

Please always put each suggestion in its own bug. In this case your second suggestion is a duplicate, so it doesn't really matter; re-purposing to be about the first.

(1) Wikipedia editors use "Categories" more than other items in the Page
options menu, so put it first in the menu.

This feels a bit odd of an idea, but maybe it could work. Categories are another kind of page-level option. Listing them first feels odd. I'd much rather we came up with a better design for the general concept, but we could do this as a stop-gap.

(2) Categories are displayed at the end of the page

… in some skins.

so remove "Categories" from the Page options menu entirely, and integrate
the category editor into the footer at the end of the page, right where the
categories are (e.g., how HotCat works).

*Adding* editing where the categories are is bug 50239. I think removing category editing from all the other page-level editing tools is a pretty strong WONTFIX, however.

Jdforrester-WMF renamed this task from VisualEditor: Move the Categories item to the top of the Page options menu because it's used more to Move the Categories item to the top of the Page options menu because it's used more.Jan 4 2017, 6:21 PM
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF set the point value for this task to 1.

OK, let's do this.

Jdforrester-WMF moved this task from Backlog to TR1: Releases on the VisualEditor board.
Jdforrester-WMF added a project: User-notice.

Change 330451 had a related patch set uploaded (by Jforrester):
MWMetaDialog: Move categories to the top as they're used most

https://gerrit.wikimedia.org/r/330451

Johan added a subscriber: Johan.Jan 5 2017, 5:42 PM

When will this go into production?

When will this go into production?

Certainly not next week (no deployment train).

Change 330451 merged by jenkins-bot:
MWMetaDialog: Move categories to the top as they're used most

https://gerrit.wikimedia.org/r/330451

Jdforrester-WMF closed this task as Resolved.Jan 9 2017, 7:43 PM
Jdforrester-WMF removed a project: Patch-For-Review.